%define upversion 7.2
%define subver    0
%define rev       646

Name:           dc3dd
Version:        %{upversion}.%{rev}
Release:        %mkrel 1
Summary:        Patched version of GNU dd for use in computer forensics
License:        GPLv2+
Group:          Security
Url:            http://dc3dd.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.7z

BuildRequires:  gettext
BuildRequires:  p7zip

%description
dc3dd is a patched version of GNU dd to include a number of features useful
for computer forensics. Many of these features were inspired by dcfldd, but
were rewritten for dc3dd.

    * Pattern writes. The program can write a single hexadecimal value or a
    text string to the output device for wiping purposes.
    * Piecewise and overall hashing with multiple algorithms and variable
    size windows. Supports MD5, SHA-1, SHA-256, and SHA-512. Hashes can be
    computed before or after conversions are made.
    * Progress meter with automatic input/output file size probing
    * Combined log for hashes and errors
    * Error grouping. Produces one error message for identical sequential
    errors
    * Verify mode. Able to repeat any transformations done to the input
    file and compare it to an output.
    * Ability to split the output into chunks with numerical or alphabetic
    extensions


%prep
%setup -q

rm po/*.gmo

chmod +x configure

%build
%configure2_5x
%make_build

%check
make check

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog README README.coreutils THANKS
%doc THANKS-to-translators TODO Sample_Commands.txt NEWS Options_Reference.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Sat Dec 03 2016 daviddavid <daviddavid> 7.2.646-1.mga6
+ Revision: 1071822
- new version: 7.2.646

* Sat Jan 23 2016 daviddavid <daviddavid> 7.2.641-1.mga6
+ Revision: 926612
- new version: 7.2.641
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 7.1.614-6.mga5
+ Revision: 744213
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.614-5.mga5
+ Revision: 678691
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.1.614-4.mga4
+ Revision: 503796
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.1.614-3.mga3
+ Revision: 348663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 7.1.614-2.mga3
+ Revision: 310499
- update RPM group
- Fixing source url.

* Mon Dec 19 2011 malo <malo> 7.1.614-1.mga2
+ Revision: 184094
- imported package dc3dd

